## ros-kinetic-gridmap-2d 0.4.2

=== CMakeLists.txt ===
################################################################################
# Set minimum required version of cmake, project name and compile options
################################################################################
cmake_minimum_required(VERSION 2.8.3)
project(gridmap_2d)

################################################################################
# Find catkin packages and libraries for catkin and system dependencies
################################################################################
find_package(catkin REQUIRED COMPONENTS
  roscpp
  rosconsole
  nav_msgs
)

find_package(OpenCV REQUIRED)

################################################################################
# Setup for python modules and scripts
################################################################################

################################################################################
# Declare ROS messages, services and actions
################################################################################

################################################################################
# Declare ROS dynamic reconfigure parameters
################################################################################

################################################################################
# Declare catkin specific configuration to be passed to dependent projects
################################################################################
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS roscpp rosconsole nav_msgs
  DEPENDS OpenCV
)

################################################################################
# Build
################################################################################
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${OpenCV_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME} src/GridMap2D.cpp)
target_link_libraries(${PROJECT_NAME} ${OpenCV_LIBRARIES})

################################################################################
# Install
################################################################################
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

################################################################################
# Test
################################################################################

=== debian/changelog ===
ros-kinetic-gridmap-2d (0.4.2-0xenial) xenial; urgency=high

  * refacotoring to release on kinetic
  * added documents related to gridmap_2d packages
  * added information new maintainer
  * fixed CMakeLists.txt and package.xml files for dependency
  * Contributors: Kayman, Pyo

 -- Pramuditha Aravinda <aravindadp@gmail.com>  Wed, 18 Apr 2018 15:00:00 -0000

ros-kinetic-gridmap-2d (0.4.1-0xenial) xenial; urgency=high

  * Added include files for footstep_planner and gridmap_2d for install.
  * gridmap_2d : OpenCV migration for indigo.
  * gridmap_2d: Adding conversion back to OccupancyGrid msg
  * gridmap_2d: adding external access to individual cells, allow recomputation of distance map
  * catkinize the stack
  * gridmap_2d: Add option to treat unknown as obstacle
  * Adding copy c'tor to gridmap_2d, humanoid_planner_2d using local map copy now
  * gridmap_2d: Fix map inflation
  * Contributors: Armin Hornung, Pramuditha Aravinda, Vincent Rabaud, enriquefernandez

 -- Pramuditha Aravinda <aravindadp@gmail.com>  Sun, 04 Sep 2016 15:00:00 -0000

ros-kinetic-gridmap-2d (0.4.0-0xenial) xenial; urgency=high

  * moved gridmap_2d into own namespace
  * Contributors: Armin Hornung

 -- Pramuditha Aravinda <aravindadp@gmail.com>  Wed, 09 Jan 2013 15:00:00 -0000

ros-kinetic-gridmap-2d (0.3.1-0xenial) xenial; urgency=high

  * Fixed gridmap_2d and footstep_planner to be used with ros fuerte and sbpl package
  * Contributors: Armin Hornung

 -- Pramuditha Aravinda <aravindadp@gmail.com>  Thu, 14 Jun 2012 15:00:00 -0000

ros-kinetic-gridmap-2d (0.3.0-0xenial) xenial; urgency=high

  * humanoid_navigation now compatible with electric and fuerte
  * Contributors: Armin Hornung

 -- Pramuditha Aravinda <aravindadp@gmail.com>  Mon, 28 May 2012 15:00:00 -0000

ros-kinetic-gridmap-2d (0.2.0-0xenial) xenial; urgency=high

  * added foundation for map change detection
  * fixed invalid states appearing on border of map during expansion
  * Contributors: Armin Hornung

 -- Pramuditha Aravinda <aravindadp@gmail.com>  Sun, 27 Nov 2011 15:00:00 -0000

ros-kinetic-gridmap-2d (0.1.0-0xenial) xenial; urgency=high

  * Replace gridmap2D with other  cv::Mat
  * Added a few more accessors to Gridmap2D
  * Fixed OpenCV deprecation warnings
  * Bugfix: x/y swapped in GridMap2D
  * Contributors: Armin Hornung

 -- Pramuditha Aravinda <aravindadp@gmail.com>  Mon, 02 May 2011 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-gridmap-2d
Section: misc
Priority: extra
Maintainer: Pramuditha Aravinda <aravindadp@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libopencv-dev, ros-kinetic-catkin, ros-kinetic-nav-msgs, ros-kinetic-rosconsole, ros-kinetic-roscpp
Homepage: http://wiki.ros.org/gridmap_2d
Standards-Version: 3.9.2

Package: ros-kinetic-gridmap-2d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopencv-dev, ros-kinetic-nav-msgs, ros-kinetic-rosconsole, ros-kinetic-roscpp
Description: gridmap_2d - a simple 2D gridmap structure, based on OpenCV's cv::Mat

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-gridmap-2d//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
